Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159107 - ethereal code review
Summary: ethereal code review
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ethereal
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-29 22:42 UTC by Steve Grubb
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-31 10:18:20 UTC


Attachments (Terms of Use)
patch fixing problems described herein (deleted)
2005-05-29 22:44 UTC, Steve Grubb
no flags Details | Diff

Description Steve Grubb 2005-05-29 22:42:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
I reviewed the source for ethereal and found several out-of-bounds accesses, unitialized variables, and off-by-ones.

Version-Release number of selected component (if applicable):
ethereal-0.10.11-2

How reproducible:
Always

Steps to Reproduce:
1. Found in code review

Additional info:

I will attach a patch that addresses these issues.

Comment 1 Steve Grubb 2005-05-29 22:44:27 UTC
Created attachment 114958 [details]
patch fixing problems described herein

Please review and apply. Thanks.

Comment 2 Gerald Combs 2005-05-30 21:20:40 UTC
This is being tracked in the Ethereal bug database at
http://bugs.ethereal.com/bugzilla/show_bug.cgi?id=217 .

Comment 3 Radek Vokal 2005-05-31 10:18:20 UTC
Applied on rawhide version with some changes upon comments from ethereal bugzilla. 


Note You need to log in before you can comment on or make changes to this bug.